<?php

/**
 * Related Post Options
 *
 * @package construction_engineer
 */

$wp_customize->add_section(
	'construction_engineer_related_post_options',
	array(
		'title' => esc_html__( 'Related Post Options', 'construction-engineer' ),
		'panel' => 'construction_engineer_theme_options',
	)
);

// Add Separator Custom Control
$wp_customize->add_setting( 'construction_engineer_related_post_separator', array(
	'sanitize_callback' => 'sanitize_text_field',
));

$wp_customize->add_control( new Construction_Engineer_Separator_Custom_Control( $wp_customize, 'construction_engineer_related_post_separator', array(
	'label' => __( 'Enable / Disable Related Post Section', 'construction-engineer' ),
	'section' => 'construction_engineer_related_post_options',
	'settings' => 'construction_engineer_related_post_separator',
)));

// Post Options - Hide Related Posts.
$wp_customize->add_setting(
	'construction_engineer_post_hide_related_posts',
	array(
		'default'           => true,
		'sanitize_callback' => 'construction_engineer_sanitize_switch',
	)
);

$wp_customize->add_control(
	new Construction_Engineer_Toggle_Switch_Custom_Control(
		$wp_customize,
		'construction_engineer_post_hide_related_posts',
		array(
			'label'   => esc_html__( 'Show / Hide Related Posts', 'construction-engineer' ),
			'section' => 'construction_engineer_related_post_options',
		)
	)
);

// Register setting for number of related posts
$wp_customize->add_setting(
    'construction_engineer_related_posts_count',
    array(
        'default'           => 3,
        'sanitize_callback' => 'absint', // Ensure it's an integer
    )
);

// Add control for number of related posts
$wp_customize->add_control(
    'construction_engineer_related_posts_count',
    array(
        'type'        => 'number',
        'label'       => esc_html__( 'Number of Related Posts to Display', 'construction-engineer' ),
        'section'     => 'construction_engineer_related_post_options',
        'input_attrs' => array(
            'min'  => 1,
            'max'  => 5, // Adjust maximum based on your preference
            'step' => 1,
        ),
    )
);

// Post Options - Related Post Label.
$wp_customize->add_setting(
	'construction_engineer_post_related_post_label',
	array(
		'default'           => 'Related Posts',
		'sanitize_callback' => 'sanitize_text_field',
	)
);

$wp_customize->add_control(
	'construction_engineer_post_related_post_label',
	array(
		'label'    => esc_html__( 'Related Posts Heading', 'construction-engineer' ),
		'section'  => 'construction_engineer_related_post_options',
		'settings' => 'construction_engineer_post_related_post_label',
		'type'     => 'text',
	)
);